package com.bocloud.cmp.model.installation.catalog;

/**
 * 物理机主板缓存信息类
 *
 * @author Shaolong_tan
 */
public class Cache {
    /**
     * 结合性
     */
    private String associativity;
    /**
     * 配置
     */
    private String configuration;
    /**
     * 错误纠正方式
     */
    private String errorCorrectionType;
    /**
     * 安装的SRAM类型
     */
    private String installedSpamType;
    /**
     * 安装大小
     */
    private String installedSize;
    /**
     * 位置
     */
    private String location;
    /**
     * 最大尺寸
     */
    private String maxSize;
    /**
     * 操作模式
     */
    private String operationalMode;
    /**
     * Socket名称
     */
    private String socketDesignation;
    /**
     * 速率
     */
    private String speed;
    /**
     * 支持的SRAM类型
     */
    private Object supportedSpamType;
    /**
     * 系统类型
     */
    private String systemType;

    /**
     * @return the associativity
     */
    public String getAssociativity() {
        return associativity;
    }

    /**
     * @param associativity the associativity to set
     */
    public void setAssociativity(String associativity) {
        this.associativity = associativity;
    }

    /**
     * @return the configuration
     */
    public String getConfiguration() {
        return configuration;
    }

    /**
     * @param configuration the configuration to set
     */
    public void setConfiguration(String configuration) {
        this.configuration = configuration;
    }

    /**
     * @return the errorCorrectionType
     */
    public String getErrorCorrectionType() {
        return errorCorrectionType;
    }

    /**
     * @param errorCorrectionType the errorCorrectionType to set
     */
    public void setErrorCorrectionType(String errorCorrectionType) {
        this.errorCorrectionType = errorCorrectionType;
    }

    /**
     * @return the installedSpamType
     */
    public String getInstalledSpamType() {
        return installedSpamType;
    }

    /**
     * @param installedSpamType the installedSpamType to set
     */
    public void setInstalledSpamType(String installedSpamType) {
        this.installedSpamType = installedSpamType;
    }

    /**
     * @return the installedSize
     */
    public String getInstalledSize() {
        return installedSize;
    }

    /**
     * @param installedSize the installedSize to set
     */
    public void setInstalledSize(String installedSize) {
        this.installedSize = installedSize;
    }

    /**
     * @return the location
     */
    public String getLocation() {
        return location;
    }

    /**
     * @param location the location to set
     */
    public void setLocation(String location) {
        this.location = location;
    }

    /**
     * @return the maxSize
     */
    public String getMaxSize() {
        return maxSize;
    }

    /**
     * @param maxSize the maxSize to set
     */
    public void setMaxSize(String maxSize) {
        this.maxSize = maxSize;
    }

    /**
     * @return the operationalMode
     */
    public String getOperationalMode() {
        return operationalMode;
    }

    /**
     * @param operationalMode the operationalMode to set
     */
    public void setOperationalMode(String operationalMode) {
        this.operationalMode = operationalMode;
    }

    /**
     * @return the socketDesignation
     */
    public String getSocketDesignation() {
        return socketDesignation;
    }

    /**
     * @param socketDesignation the socketDesignation to set
     */
    public void setSocketDesignation(String socketDesignation) {
        this.socketDesignation = socketDesignation;
    }

    /**
     * @return the speed
     */
    public String getSpeed() {
        return speed;
    }

    /**
     * @param speed the speed to set
     */
    public void setSpeed(String speed) {
        this.speed = speed;
    }

    /**
     * @return the supportedSpamType
     */
    public Object getSupportedSpamType() {
        return supportedSpamType;
    }

    /**
     * @param supportedSpamType the supportedSpamType to set
     */
    public void setSupportedSpamType(Object supportedSpamType) {
        this.supportedSpamType = supportedSpamType;
    }

    /**
     * @return the systemType
     */
    public String getSystemType() {
        return systemType;
    }

    /**
     * @param systemType the systemType to set
     */
    public void setSystemType(String systemType) {
        this.systemType = systemType;
    }
}
